package com.asseco.ce.xml.validation;

import java.util.ArrayList;

public class SchemeBean {
	
	private String name;
	private ArrayList<SchemeBean> imports;
	
	public SchemeBean(String name, ArrayList<SchemeBean> imports) {
		this.name = name;
		this.imports = imports;
	}

	public String getName() {
		return name;
	}

	public ArrayList<SchemeBean> getImports() {
		return imports;
	}

	@Override
	public boolean equals(Object other){
	    if (other == null) return false;
	    if (other == this) return true;
	    if (!(other instanceof SchemeBean))return false;
	    SchemeBean otherSchemeBean = (SchemeBean)other;
	    return this.name.equalsIgnoreCase(otherSchemeBean.name);
	}
}
